Package io.flutter.embedding.engine.systemchannels

# Enum SettingsChannel.PlatformBrightness

java.lang.Object
java.lang.Enum<SettingsChannel.PlatformBrightness>
io.flutter.embedding.engine.systemchannels.SettingsChannel.PlatformBrightness

All Implemented Interfaces:
  `Serializable`, `Comparable<SettingsChannel.PlatformBrightness>`, `java.lang.constant.Constable`

Enclosing class:
  `SettingsChannel`

public static enum SettingsChannel.PlatformBrightness extends Enum<SettingsChannel.PlatformBrightness>
The brightness mode of the host platform.

The `name` property is the serialized representation of each brightness mode when communicated via message channel.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `dark`
  `light`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `String`
  `name`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static SettingsChannel.PlatformBrightness`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static SettingsChannel.PlatformBrightness[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### light

    public static final SettingsChannel.PlatformBrightness light

  - ### dark

    public static final SettingsChannel.PlatformBrightness dark

- ## Field Details

  - ### name

    @NonNull public String name

- ## Method Details

  - ### values

    public static SettingsChannel.PlatformBrightness[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static SettingsChannel.PlatformBrightness valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null